<div class="row justify-content-center">
  <div *ngFor="let student of students">
    <div class="panel panel-primary ">
      <div class="panel-heading">
        <h2 class="panel-title">{{student.studentId }}</h2>
      </div>
      <div class="panel-body row">
        <div class="col-md-4">
          <p class="student-name"> {{student. name | uppercase}} {{student.surname}}</p>
          <p *ngIf="student.gpa > 2.5">Good Student who get grade {{student.gpa | number:'1.2-2'}}</p>
          <p *ngIf="student.gpa <= 2.5">Bad Student who get grade {{student.gpa | number:'1.2-2'}}</p>
          <div class="row">
            
              <button type="button" class="btn btn-primary btn-xs col-md-3 m-1" (click)="upQuantity(student)">+</button>
              <div class="col-md-1" (mouseover) ="getCoord($event)">
                {{student.penAmount}}
              </div>
              <button type="button" class="btn btn-primary btn-xs col-md-3 m-1" (click)="downQuantity(student)">-</button>
          </div>
          <div><button type="button" class="btn btn-primary m-1" (click)="resetQuantity(student)">Reset</button></div>
        </div>
        <div class="col-md-4">
          <img [src]="student.image" [title]="student.name">
        </div>
      </div>
    </div>
</div>
</div>
<div class="row justify-content-end">
<div class="alert alert-success col-md-offset-2 col-md-6 grade"> The average gpa is {{averageGpa()}} </div>
</div>
